Skip to content

@zeromus zeromus released this Feb 24, 2020

It seems that at some point microsoft updated all our visual studio 2019 so that the 'v142' PlatformToolset no longer targets the "2019" runtime, but rather the.. wait for it... "2015, 2017 and 2019" runtime. This manifests as a dependency on a file called "vcruntime140_1.dll". I know, that looks like a 2015 runtime file but it ISN'T. In practice, besides being the NEW 2019 runtime, this also functions as the 2015 and 2017 runtimes.

See more information at this URL which actually explains things: https://community.amd.com/thread/240570 and this URL which is just confusing https://support.microsoft.com/en-us/help/2977003/the-latest-supported-visual-c-downloads

In this version, I removed the 2015 runtime which is no longer needed and added the "2015, 2017, and 2019" in its place.

Assets 3

@zeromus zeromus released this Feb 2, 2020 · 2 commits to master since this release

  • Change .net version to 4.8
  • Remove msvcrt 2012 and 2013
Assets 3
2.1

@zeromus zeromus released this Feb 18, 2018 · 5 commits to master since this release

Add Visual C++ 2012 Update 4 (x64) redist, needed for some mupen core parts.

Assets 3
2.0

@zeromus zeromus released this Jun 14, 2017 · 7 commits to master since this release

Designed to support BizHawk 2.0.
Drops support for x86, XP, and Vista.
Changes .net version to 4.6.1

Assets 3
1.4

@zeromus zeromus released this Nov 18, 2016 · 8 commits to master since this release

include some directX parts, since the web installer can't always install them correctly

Assets 3
1.3

@zeromus zeromus released this Mar 15, 2016 · 10 commits to master since this release

update with 2015 prereqs
Assets 3
You can’t perform that action at this time.